package cn.com.qmth.examcloud.core.oe.admin.client;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamStatisticsCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetExamCompletionStatisticsReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetExamCompletionStatisticsResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetTopExamScoreQueueResp;
import org.springframework.stereotype.Service;

@Service
public class ExamStatisticsCloudServiceClient extends AbstractCloudClientSupport
		implements
		ExamStatisticsCloudService {

	@Override
	public GetExamCompletionStatisticsResp getExamCompletionStatistics(GetExamCompletionStatisticsReq req) {
		return post("examStatistics/getExamCompletionStatistics", req,
				GetExamCompletionStatisticsResp.class);
	}
}
